import chalk from "chalk";
function logLine(line) {
  console.log(makeLine(line));
}
function logNewSection(line) {
  logLine();
  console.log(`\u25C7  ${line}`);
}
function makeLine(line) {
  return [chalk.gray("\u2502"), line].filter(Boolean).join("  ");
}
export {
  logLine,
  logNewSection,
  makeLine
};
//# sourceMappingURL=lines.js.map