declare const allArgOptions: {
    readonly access: {
        readonly type: "string";
    };
    readonly author: {
        readonly type: "string";
    };
    readonly base: {
        readonly type: "string";
    };
    readonly description: {
        readonly type: "string";
    };
    readonly directory: {
        readonly type: "string";
    };
    readonly email: {
        readonly type: "string";
    };
    readonly "email-github": {
        readonly type: "string";
    };
    readonly "email-npm": {
        readonly type: "string";
    };
    readonly "exclude-all-contributors": {
        readonly type: "boolean";
    };
    readonly "exclude-compliance": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-deprecation": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-eslint": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-jsdoc": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-json": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-knip": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-md": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-package-json": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-packages": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-perfectionist": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-regex": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-spelling": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-strict": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-stylistic": {
        readonly type: "boolean";
    };
    readonly "exclude-lint-yml": {
        readonly type: "boolean";
    };
    readonly "exclude-releases": {
        readonly type: "boolean";
    };
    readonly "exclude-renovate": {
        readonly type: "boolean";
    };
    readonly "exclude-tests": {
        readonly type: "boolean";
    };
    readonly funding: {
        readonly type: "string";
    };
    readonly keywords: {
        readonly multiple: true;
        readonly type: "string";
    };
    readonly logo: {
        readonly type: "string";
    };
    readonly "logo-alt": {
        readonly type: "string";
    };
    readonly mode: {
        readonly type: "string";
    };
    readonly offline: {
        readonly type: "boolean";
    };
    readonly owner: {
        readonly type: "string";
    };
    readonly "preserve-generated-from": {
        readonly type: "boolean";
    };
    readonly repository: {
        readonly type: "string";
    };
    readonly "skip-all-contributors-api": {
        readonly type: "boolean";
    };
    readonly "skip-github-api": {
        readonly type: "boolean";
    };
    readonly "skip-install": {
        readonly type: "boolean";
    };
    readonly "skip-removal": {
        readonly type: "boolean";
    };
    readonly "skip-restore": {
        readonly type: "boolean";
    };
    readonly "skip-uninstall": {
        readonly type: "boolean";
    };
    readonly title: {
        readonly type: "string";
    };
};

export { allArgOptions };
