import { Octokit } from 'octokit';

interface CreateRepositoryWithApiOptions {
    owner: string;
    preserveGeneratedFrom?: boolean;
    repository: string;
}
declare function createRepositoryWithApi(octokit: Octokit, options: CreateRepositoryWithApiOptions): Promise<void>;

export { CreateRepositoryWithApiOptions, createRepositoryWithApi };
