import { Options } from '../shared/types.js';
import 'zod';
import '../shared/codes.js';

type InitializeRepositorySettings = Pick<Options, "owner" | "repository">;
declare function initializeGitRemote({ owner, repository, }: InitializeRepositorySettings): Promise<void>;

export { initializeGitRemote };
