import { createDotGitHubActions } from "./actions.js";
import { createDotGitHubFiles } from "./createDotGitHubFiles.js";
import { createWorkflows } from "./createWorkflows.js";
import { createDotGitHubIssueTemplate } from "./issueTemplate.js";
async function createDotGitHub(options) {
  return {
    ISSUE_TEMPLATE: createDotGitHubIssueTemplate(options),
    actions: createDotGitHubActions(),
    workflows: createWorkflows(options),
    ...await createDotGitHubFiles(options)
  };
}
export {
  createDotGitHub
};
//# sourceMappingURL=index.js.map